<script setup>
import { Link, useForm } from "@inertiajs/vue3";
import AuthenticationCard from "@/Components/Cards/AuthenticationCard.vue";
import AuthenticationCardLogo from "@/Components/Logos/AuthenticationCardLogo.vue";
import Checkbox from "@/Components/Forms/Checkbox.vue";
import InputError from "@/Components/Forms/InputError.vue";
import InputLabel from "@/Components/Forms/InputLabel.vue";
import TextInput from "@/Components/Forms/TextInput.vue";
import GuestsLayout from "@/Layouts/GuestsLayout.vue";
import SubmitButton from "@/Components/Buttons/SubmitButton.vue";
import EmptySectionBorder from "@/Components/Sections/EmptySectionBorder.vue";

const form = useForm({
    nominal_donasi: "",
    nama_lengkap: "",
    email: "",
    telepon: "",
});

const submit = () => {
    form.get(route("/buktitf"), {
        // error bag validation
        // errorBag: "createUser",
        // preserveScroll: true,
        // onSuccess: (log) => {
        //     form.reset();
        // },
        // onError: (err) => {},
        // onFinish: () => {
        //     // form.reset("password", "password_confirmation");
        // },
    });
};
</script>

<template>
    <div
        class="bg-[url('https://images.unsplash.com/photo-1661956602116-aa6865609028?ixlib=rb-4.0.3&ixid=M3wxMjA3fDF8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D&auto=format&fit=crop&w=1364&q=80')] w-full min-h-screen bg-cover"
    >
        <GuestsLayout>
            <div>
                <AuthenticationCard :css="'opacity-100'">
                    <form @submit.prevent="submit">
                        <div class="mt-4 mb-8">
                            <h1 class="mySecondaryHeader text-center">
                                Donasi Buku
                            </h1>
                             <p style="background-color: darkgray; text-align: center; padding: 10px 10px;">BCA : 1234567890
                            </p>
                        </div>
                        <div class="myInputGroup">
                            <InputLabel for="nominal_donasi" value="Nominal Donasi" />
                            <TextInput
                                id="nominal_donasi"
                                v-model="form.donasi"
                                type="number"
                                autofocus
                                autocomplete="nominal_donasi"
                            />
                            <InputError :message="form.errors.donasi" />
                        </div>
                        <div class="myInputGroup">
                            <InputLabel for="telepon" value="Telepon/Wa." />
                            <TextInput
                                id="telepon"
                                v-model="form.telepon"
                                type="telepon"
                                autofocus
                                autocomplete="telepon"
                            />
                            <InputError :message="form.errors.email" />
                        </div>

                        <div class="flex items-center justify-between mt-4">
                            <Link :href="route('login')" class="myPrimaryLink">
                                <SubmitButton
                                :disabled="form.processing"
                                buttonText="LOGIN/REGISTER"
                            >
                            </SubmitButton>
                            </Link>

                            <a href="/buktitf">
                            <SubmitButton
                                :disabled="form.processing"
                                buttonText="DONASI"
                            >
                            </SubmitButton>
                            </a>
                        </div>
                    </form>
                </AuthenticationCard>
            </div>
            <EmptySectionBorder></EmptySectionBorder>
        </GuestsLayout>
    </div>
</template>
